From dff7fae46e74373a33d805cf3cba6e6da8e42d5b Mon Sep 17 00:00:00 2001
From: barun511 <barun.parruck@gmail.com>
Date: Tue, 1 Mar 2016 16:43:47 +0530
Subject: [PATCH] Compiler on Mac Os X threw a warning for an unused variable
 m_width, in AudioSpectrumDrawer.h,AudioSpectrumDrawer.cpp

The unused variable is removed, and the compiler warning is no longer shown.
---
 src/Gui/AudioSpectrumDrawer.cpp | 4 ++--
 src/Gui/AudioSpectrumDrawer.h   | 3 +--
 2 files changed, 3 insertions(+), 4 deletions(-)

diff --git a/src/Gui/AudioSpectrumDrawer.cpp b/src/Gui/AudioSpectrumDrawer.cpp
index 72d5d1c..5436970 100644
--- a/src/Gui/AudioSpectrumDrawer.cpp
+++ b/src/Gui/AudioSpectrumDrawer.cpp
@@ -22,8 +22,8 @@
 
 #include "AudioSpectrumDrawer.h"
 
-AudioSpectrumDrawer::AudioSpectrumDrawer( QPainter* painter, int height, int width, QList<int>* audioValueList )
-    : m_painter( painter ), m_height( height ), m_width( width ), m_audioValueList( audioValueList )
+AudioSpectrumDrawer::AudioSpectrumDrawer( QPainter* painter, int height, QList<int>* audioValueList )
+    : m_painter( painter ), m_height( height ), m_audioValueList( audioValueList )
 {
     m_painter->setRenderHint( QPainter::Antialiasing, true );
     m_painter->setPen( QPen( QColor( 79, 106, 25 ), 1, Qt::SolidLine, Qt::FlatCap, Qt::MiterJoin ) );
diff --git a/src/Gui/AudioSpectrumDrawer.h b/src/Gui/AudioSpectrumDrawer.h
index 9cb4ead..989ae80 100644
--- a/src/Gui/AudioSpectrumDrawer.h
+++ b/src/Gui/AudioSpectrumDrawer.h
@@ -30,13 +30,12 @@
 class AudioSpectrumDrawer : public QRunnable
 {
     public:
-        AudioSpectrumDrawer( QPainter* painter, int height, int width, QList<int>* audioValueList );
+        AudioSpectrumDrawer( QPainter* painter, int height, QList<int>* audioValueList );
         void    run();
 
     private:
         QPainter*       m_painter;
         int             m_height;
-        int             m_width;
         QList<int>*     m_audioValueList;
         QPainterPath    m_path;
 };
-- 
2.3.2 (Apple Git-55)

